安装所需的共享库debian

XeroxPhaser3100 MFP只有32位驱动程序。 我想在基于Debian的OpenMediaDefault(NAS)上与CUPS一起使用它。操作系统是64位的 我像本手册中那样安装驱动程序 仅将arch命令更改为debian命令。在这个链接上有一个如何避免以下错误的帮助(这个错误也发生在我身上): 错误:/usr/lib/cups/filter/rastertoprinter失败 /var/log/cups/error.log显示: readelf-d/usr/lib/cups/fil

Debian 期望脚本自动登录到Eggdrop bot

我想使用Expect脚本自动化登录过程。 其思想是Expect脚本将启动telnet并登录。 我需要这个脚本用于我正在开发的C#客户端应用程序 这将是脚本: #!/usr/bin/expect set timeout 20 set ip [lindex $argv 0] set port [lindex $argv 1] set user [lindex $argv 2] set password [lindex $argv 3] spawn telnet $ip $port expect "

AUFS治疗Debian气喘

有没有一种方法可以治疗Debian哮喘病?“工具”包在那里,但我找不到内核模块,而且它似乎没有包含在股票内核中 greg如果您知道一个最近的内核,那么您可以轻松地使用它。或者,jessie很快就会出来。不幸的是我不能,我使用的是OpenVZ,它甚至不支持内核3.x,这就是为什么我对AUF感兴趣我知道它与旧内核兼容…你是说3.x不支持OpenVZ?这对您来说是一个问题,因为无限期地使用旧内核是一个过度的维护负担。我建议您考虑替代技术。我知道:-(但我必须处理现有的基础设施。AUFS可以在2.x内核

Debian 更改passwd文件以重置Raspbian上的密码

我正在尝试重置运行Raspbian的Raspberry Pi 2 B的密码,我想我可以通过在我的Ubuntu PC上安装sd卡并将Pi用户的阴影文件从 pi:[hash]: [...] 到 为了表示我的用户在阴影中没有密码,就像我用 sudo passwd my_user -d 但是它不起作用,现在我看到我的Raspberry pi中有/etc/2 passwd文件和2个shadow文件:我修改的passwd和shadow文件,以及一个passwd和shadow文件,它们似乎是文件版本,在我

Debian apt get安装没有依赖项

我正试图在我的vps上安装phpmyadmin,以及我从源代码安装的MaraaDB。 Mariadb 10.1.12正常运行。 当我尝试安装phpmyadmin时 apt-get install phpmyadmin 然后它显示出来 The following extra packages will be installed: libdbd-mysql-perl libmysqlclient18 mysql-client mysql-client-5.5 mysql-common php5

Debian 多虚拟机创建和配置错误

运行命令“Vagrant up”或“Vagrant ssh”时,Vagrant多VM创建和配置错误:它抛出错误消息: $ vagrant up /opt/vagrant/embedded/gems/gems/vagrant-1.8.4/lib/vagrant/config/loader.rb:113:in `block (2 levels) in load': private method `load' called for nil:NilClass (NoMethodError) fr

Debian Sendmail未完全删除

我不明白为什么sendmail会返回我: sendmail:/usr/sbin/sendmail/usr/lib/sendmail/usr/share/man/man1/sendmail.1.gz 虽然我已经使用以下方法删除并清除了所有sendmail包: apt-get remove sendmail apt-get purge sendmail 另外,手动删除sendmail元素的这些路径安全吗 这可能是因为另一个软件包提供了兼容性,为了兼容,像Postfix这样的软件包将包含链接,这样就

404在debian测试上安装virtualbox时出错

当我尝试在Debian测试上安装Virtualbox时,在添加它之后,我从存储库中得到了一个404错误 apt更新的内容: Hit:1 http://ftp.us.debian.org/debian testing InRelease Ign:2 http://download.virtualbox.org/virtualbox/debian testing InRelease Err:3 http://download.virtualbox.org/virtualbox/debian test

Debian cifs客户端突然中断

以前,Debian安装的win10 cifs运行良好。访问cifs文件时突然提示“输入/输出错误” 请参阅ls/proc/fs,缺少cifs 甚至nfs服务器也无法启动 我不应该做任何修改系统配置的事情,只要将ubuntu 10.10的modinfo复制到debian 9环境中,半小时后就会出现上述现象 重新加载cifs.ko失败 root@debian llg $ modprobe cifs ... do nothing 没有cifs $ ls -l /proc/fs/ 总用量 0 dr-x

Debian Wheeze,安装PHP扩展

是的,我知道,Debian Wheeze已经过时了 但是有可能安装带有“apt-get”的PHP扩展吗 也许我需要使用其他一些源列表来保存过期的LTS Reading package lists... Done Building dependency tree Reading state information... Done The following packages were automatically installed and are no longer required: li

Debian Dovecot压缩来自postfix的现有maildir邮件

我从其他地方获取了代码片段,并创建了一个脚本来压缩现有的maildir电子邮件(由于我没有检查锁,所以需要停止Dovecot) 然而,我意识到我的入站邮件没有被找到,因为并非所有的邮件都符合-name*,S=*“ 范例 find "/var/vmail/mydomain.com" -type d -name "cur" | while read maildir; do find "$maildir" -type f -name "*,S=*" ! -name "*,*:2,*,*Z*" -pri

Debian 如何查找不为';t列在crontab-e中

我是服务器上的root用户,在日志中发现了一个不应该存在的正在运行的crontab 在日志文件中,我有: Jun 22 09:00:01 lechnerio-srv CRON[18637]: (root) CMD (/usr/bin/nice -n 5 /usr/bin/php -q /var/www/froxlor/scripts/froxlor_master_cronjob.php --tasks 1> /dev/null) 从以前的froxlor安装。但是,在用户root的cro

Debian “在哪里?”;“apt依赖于”;记录在案?

“apt”的子命令“依赖”记录在哪里,尤其是其输出格式和输出中管道符号的含义 “曼阿普特”一点也没有提到这个子命令 调用示例: $ apt depends inxi inxi Depends: pciutils Depends: procps Depends: <perl:any> perl Recommends: dmidecode Recommends: dnsutils bind9-dnsutils Recommends: file

如何在debian服务器上安装最新的libcurl?

我对这些东西有点陌生。我不知道安装最新版本的libcurl需要什么命令行。 我在网上读了几篇文章,但在$PATH中找不到可接受的C编译器。 我在debian服务器上。请帮忙。su- su - apt-get update apt-cache search ^libcurl apt-get install <whatever_apt-cache_listed> 更新源 apt缓存搜索^libcurl 安装 在这里提出这些基本问题之前,一定要先查看谷歌 编辑:感谢@x-yuri指出s

执行时debian喘息的GPG错误';sudo-apt-get-update';

我安装了Debian wheezy。然后我想设置apt source,如下所示: deb http://security.debian.org/ wheezy/updates main contrib deb-src http://security.debian.org/ wheezy/updates main contrib deb http://ftp.debian.org/debian/ wheezy-updates main contrib deb-src http://ftp.

Debian 用于将VPS备份到Amazon Glacier的简单工具

简介: 我有VPS(Debian)和一些托管在上面的网站。站点不是很大(总共约10-20 GB),但我需要定期备份所有用户数据 问题: 我正在寻找简单的解决方案,允许将所有这些东西备份到Amazon Glacier,并满足一些条件: 易于配置(因为我是服务器管理新手) 亚马逊冰川支持 Debian支持 备份所有文件(全部备份到主目录) 每周增量备份 我已经找到了一些类似的解决方案,但它们并不容易管理 您能为我的案例提供建议,或为此类备份推荐好的工具吗 我能找到的最近的一个是,但我不确定它是否准备

Debian 如何将gitlab shell从1.9.5更新到1.9.6

我正在Debian服务器7.6上设置Gitlab 执行此操作时: # bundle exec rake gitlab:check RAILS_ENV=production 输出: Instance method "lock!" is already defined in ActiveRecord::Base, use generic helper instead or set StateMachine::Machine.ignore_method_conflicts = true. Warn

使用mysql和nginx在Debian Jessie上安装Redmine

我的目标是从jessie软件包中安装redmine,以简化将来的升级。我想使用mysql和nginx。在Ruby方面,我更喜欢使用unicorn或其他简单的服务器。 我曾试图遵循网络上提供的手册,但它们不包括我的配置,或者不是实际的,或者不是基于debian软件包。 有没有可能有人拥有和我描述的环境相似的环境,或者我宁愿放弃我的想法 我同意亚历山大的评论。根据我的测试,从源代码和使用gem/bundle工具将redmine安装/配置为用户应用程序(在/home dir中)要容易得多。最后,我决定

什么';让你自己的软件进入Debian和Fedora的最佳途径是什么?

假设我能够遵循打包指南,并且已经知道如何制作一个工作的.deb和.rpm,那么我如何才能让发行版真正包含我的软件 第一种最快/最简单的方法是什么,第二种最合适/最正式的方法是什么 如果我的软件依赖于没有软件包的其他人的库,该怎么办?那么,我有责任包装这些吗?根据我在以下方面的经验,有几点需要注意: 这些都是由志愿者驱动的发行版,所以让别人的生活更轻松总是一件好事,所以确保你的软件构建干净,有良好的文档记录等等 先决条件很重要:如果您的软件有dependens,因此构建依赖于其他软件,那么您必须

virtualbox-无ip的debian

我的XP SP3上有VB。我正在运行一个客户操作系统,Debian。我用150MB安装了它,看起来一切正常。 我使用的是3.1.6VB 该服务器的目的是运行php、mysql和django项目 因此,我需要本地和外部访问。 我通常用我的无ip来做。我有使用Ubuntu服务器的经验,使用noip2是一件轻而易举的事 我有这个域名xxx.no-ip.org。 我需要在我的debian服务器上使用它,这样我就可以在xp上的firefox中键入xxx.no-ip.org 我检查了ifconfig,pst

Debian splintrc预处理器指令-D中的空白

我想在debian稳定环境中的一些源代码上运行splint。 我需要给出预处理器指令-DUINT16\u T='unsigned short',正如我经常需要的那样。我想把它放在我的.splintrc文件中。 当从命令行运行时,比如splint-DUINT16\u T='unsigned short'mysource.c它工作得很好。如果将此行移动到我的.splintrc文件中 -DUINT16_T='unsigned short' -I/usr/local/include/ splint调用

Debian 查看远程计算机上的实际桌面

我正在运行一个raspberry pi,显示器连接到hdmi端口。使用远程计算机,我想查看pi的实际图形桌面(从startx开始),可以在显示器上看到 是不是有出口显示器?但我不知道正确的参数。我有一个通过putty的ssh连接和一个RDP连接。但是我在远程计算机上看到的RDP桌面与hdmi显示器的桌面不同 谢谢你的帮助。谢谢 假设您使用的是raspbian,请在raspberry pi上安装并运行x11vnc 您需要在远程计算机上运行vnc查看器才能连接到它,然后才能看到桌面

Debian 树莓皮上的邮件服务器

我已经搜索过了,但我仍然不知道如何在Raspberry Pi上运行邮件服务器 以下是我的Pi设置: Apache2一次托管多个站点。所以我设置了虚拟主机,但我正在研究如何运行一个可以使用多个邮件的邮件服务器(比如info[at]domainA和info[at]domainB.com等等)。我知道我需要使用Postfix和Dovecot,但仅此而已 问候您。只要知道您需要Postfix和Dovecot,就可以通过多种方式获得您需要的信息 你可以考虑在RasbRyPy.Org论坛上查看。它有许多人在

Debian/Armel:缺少USB串行驱动程序

我正在寻找usbserial驱动程序:Debian Jessie和armel架构的“选项” 是否有包含此和其他USB串行驱动程序的包 这个驱动程序的源代码在哪里?它是内核的一部分。假设您正在构建自己的内核,请通过在运行make menuconfig后显示的菜单中选择来启用它: 这可能应该在@umläute被问到,我认为这是边界,因为它涉及到源代码。@Tshepang我没有看到任何:-@umläute这是因为它是不可见的,这并不意味着不存在: Device Drivers --> USB s

Debian未将文件放入正确的文件夹

我需要帮助才能知道我做错了什么。我想创建一个.deb,用于在齐柏林飞艇上安装新徽标。My.deb让DEBIAN控制内部和文件夹:Library>Zeppelin>“Mynewlogos”。好的,我创建了.deb,但是当我用iFile安装它时,它会正确安装,但会将文件放在根目录中,而不是放在库中>Zeppelin taht是正确的 我做错了什么 非常感谢你们 这是包机制的默认行为。它假定data.tar.gz存档中的所有文件都有一个从根目录开始的完整路径名。为了创建正确的归档文件,您只需模拟目标文

Debian 编写器安装xhp库超时

我只是一直在努力让作曲家工作。我使用的是Debian Jessie,我对linux和所有这些东西都很陌生 所以,我下载并安装了HHVM,一切正常。我创建了一个json文件,如下所示: { "require": { "facebook/xhp-lib": "~2.2" }, "config": { "secure-http": false, "process-timeout": 1800 } } 我仍然通过composer安装获

Debian Dataproc无法安装oozie软件包

我正在google cloud dataproc上尝试以下命令: apt-get install oozie-client 但dataproc无法在存储库中列出oozie包 错误: root@<master>:#> apt-get install oozie-client Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to l

Debian 试图弄清楚如何使用speedometer或vnstat记录流媒体服务器的实时带宽

我目前正在为一个流式网络广播设备运行一个测试环境,并且必须监视live bandwith的使用情况,以查看到bandwith限制时我可以从托管服务中获得什么样的计划 服务器当前正在运行带有Icecast2和Ices2的Debian 8。我确实安装了一个虚拟机,模拟10个并发连接到无线电,以便上传一些数据,但我想看看它平均每小时/天使用多少bw 用经典的监控工具找不到我想要的,而live BandSwitch分析工具不允许我记录数据 谢谢你的帮助 这听起来像是VNStat的一个很好的用例: vnS

在Debian上将ImageMagick版本7降级为版本6

我在Debian系统上安装了ImageMagick的最新版本7,然后发现它不支持我需要使用的一些PHP Imagick函数调用,例如setTextInterlineSpacing()和roundCorners()。如何在这个Debian系统上将ImageMagick降级到版本6?您是用apt get安装的吗?是的,但是apt get存储库似乎没有可用的版本6。您可以下载所需版本的.deb包。然后使用apt get remove imagemagick删除存储库的版本,并使用dpkg-i pack

Debian bintray:无法上载文件:无法提取工件的元数据(从.deb)

我使用Bintray作为APT debian存储库,它以前工作得很好。 但我现在在上传debian包(.deb文件)时遇到了一个问题 我发现问题与.deb文件的内容有关: 如果.deb文件具有control.tar.gz和data.tar.gz,则它可以工作 如果.deb文件具有control.tar.xz和data.tar.xz,则会失败 因此,问题是: bintray是否支持使用XZ compressedcontrol.tar.XZ和data.tar.XZ的.deb包 或者我需要做些什

Debian 为什么';来自'的收益率;需要一个封闭的';而1';?

我试图理解“收益率来源”是如何使用的。为此,我编写了一个简单的(相当无用的) 示例(count_vorels.py),运行时在其下方生成: $ python3 count_vowels.py Counter({'a': 5}) 请解释为什么proxy2函数(委托生成器)中需要“while True” 没有“while True”: $ python3 count_vowels.py Traceback (most recent call last): File "count_vowel

根登录debian vps云实例

似乎无法再允许root登录。 我还有另外一个vps,它也是debian 10,具有相同的主机(infomaniak),我在不久前获得了root登录,在那里我可以作为root登录。 我做了一个git diff server1/etc server2/etc,似乎看不出我缺少什么 所以在/etc/cloud/cloud.cfg中 users: - default disable_root: false 在/etc/ssh/sshd_config中,我已经尝试了这两种方法(通过ssh密钥进行身份

Debian 是否将文件内容从WSL复制到剪贴板到Windows? 钻机说明:

我已经在Windows 10上的Windows子系统Linux(WSL)中安装了Debian 主机表示Windows 10 方框表示我的WSL Debian方框/容器 目标: 我在WSL(my_rsa.pub)上有一个SSH密钥 我想将该文件的内容复制到主机的剪贴板 通过在框中运行命令(命令行代码,不使用鼠标) 说明: SSH文件非常长,用鼠标光标复制它们是没有意义的 我还听说Debian没有附带剪贴板:你需要安装剪贴板吗?所以,我甚至不知道从哪里开始寻找 我所尝试的: 已配置且工作正常

Debian 从服务运行sudo命令

我在Debian 10工作 我有一个运行Java应用程序的服务: java -jar myapp.jar 应用程序可以调用系统命令,其中一个是nmcli。我需要用sudo运行nmcli con add。因此,我编辑了sudoers文件,允许用户运行命令nmcli,而无需询问密码。当我测试我的应用程序时,它工作正常,并且不询问密码 当我将应用程序作为服务执行时,它无法执行sudo命令并告知 sudo: no tty present and no askpass program specified

Debian ARM开发与仿真

我有一个安装了debian的ARM设备(网络存储)。我可以拉出驱动器并转储fs映像(使用dd)。那里的操作系统是debian,我使用ubuntu 我需要安装什么(软件)才能进行交叉编译 我可以挂载图像并修改其内容。 如何模拟该设备来测试交叉编译的可执行文件 更新: 我不是指任何汇编程序编程,我想要的是编译一些常用的debian守护进程(web服务器+脚本)并在检查后部署。检查以下内容: 他们有针对linux和cygwin的交叉工具链 有一些Arm模拟器,但是如果你试图模拟整个电路板,那可能是一个

Debian 如何用一个脚本构建.deb.rpm.dmg等

我的问题是: 我有一个程序,希望以二进制格式分发,这样用户就不需要自己编译它了 我已经构建了一个.deb包。但是,正如我所记得的,应该有一些程序,它接受一个配置文件,并以不同的格式生成不同的二进制包,如.deb、.rpm,甚至.dmg、.msi等。这意味着,我只需要告诉它包中应该包含哪个文件(以及如何构建),它就可以为我生成不同的包 在谷歌搜索了一些关键词后,我注意到在不知道名称的情况下很难找到这样的程序。(我确实认为应该有类似的东西。事实上,我记得我在某处见过它。)Effing Package

在debian上安装opencv 2.4.3时出错

我是debian操作系统的Raspberry Pi初学者 当我在安装opencv-2.4.3时使用了“sudo gedit/etc/ld.so.conf.d/opencv.conf”我得到了以下错误: "sudo: gedit:command not found" "The following packages have unmet dependencies: gedit : Depends: libpeas-1.0-0 (>= 1.1.0) but it is not going t

Debian 解析并打印JSON

我创建了一个web应用程序,每当我访问URL时,它都会以JSON格式提供订单列表信息,如: 然后我希望我的Raspberry Pi解析JSON,并基于解析的JSON数据打印订单收据 我想有一种方法可以做到这一点: 安装CUPS打印系统和PHP 使用wget(或PHP中的cURL)获取数据并写入文件,例如orders.json 使用PHP读取文件,解析JSON并为每个订单编写一个文件,例如1001.txt,1002.txt 使用lpr命令将每个订单文件发送到打印机 设置cron作业以每5分钟执行一

Debian 更改初始化脚本的顺序。

我在这里可能听起来很愚蠢,但在debian OS中更改init脚本的顺序有多安全 具体来说,/etc/rcS.d/文件夹中有两个init.d脚本文件- 我还了解到,对于mountall.sh,udev的订单2和订单10是由操作系统开发人员精心设置的,如果我改变它,可能会产生很大的影响 背景 我在Debian中创建了一个udev规则,当USB存储设备插入系统时,它运行一个shell脚本 我在这个顺序中面临的问题是,由于udev脚本是先调用的,所以我的USB规则是先创建的,而mountall脚本是稍

Debian 使用qcow2作为存储创建虚拟机(virt manager)

我呼吸困难。virt管理器的版本是0.9.1。根据在线文档,应该可以使用qcow2存储创建虚拟机,如 但是,从我的版本来看,该对话框看起来很像: 在安装过程中,除了“原始”存储之外,无法选择任何内容: 我已尝试使用以下方法创建界面的qcow2映像: # qemu-img create -f qcow2 guest.qcow2 8192 Formatting 'guest.qcow2', fmt=qcow2 size=8192 encryption=off cluster_size=6553

Debian 8.5:Lampp不';开始

我使用的是Debian8.5Jessie,我安装了lampp.7.0.9。但当我想这样启动lampp时: /opt/lampp/lampp start Starting XAMPP for Linux 7.0.9-0... XAMPP: Starting Apache...fail. httpd: Syntax error on line 136 of /opt/lampp/etc/httpd.conf: Cannot load modules/mod_ssl.so into server:

Debian Sudo请求密码时Google云虚拟机

我一直在使用Google Cloud debian虚拟机,使用sudo执行超级用户任务时没有任何问题(sudo并没有要求输入密码) 今天我像往常一样通过SSH连接,当我尝试sudo某事时,它开始询问密码: We trust you have received the usual lecture from the local System Administrator. It usually boils down to these three things: #1) Respect the

Debian 在iso映像中手动更改内核版本

我下载了debian stretch iso映像。我已经生成了自己的自定义内核。是否有可能用自定义内核替换内置内核,并用自定义内核生成新的iso映像。显然,您可以重建iso映像。 阅读或您好,欢迎来到StackOverflow。请花些时间阅读帮助页面,特别是命名和的部分。更重要的是,请阅读。您可能还想了解。

Debian-将php从5.6版升级到7.2版

我正在尝试从PHP 5.6.35升级到PHP 7.2,我确实运行了以下命令: sudo apt install php7.2 php7.2-common php7.2-cli php7.2-cgi php7.2-fpm 一切顺利,但当我试图安装laravel时,它说我的php版本是5.6,我需要升级它。所以我用它检查了php路径 哪个php: /usr/local/bin/php 哪个php7.2: /usr/bin/php7.2 似乎我的PHP7.2安装在/usr/bin下,我的旧php

Debian motd显示挂起的更新

如何在Debian stretch上的每日消息中显示挂起的更新 在stretch之前,在Ubuntu中,这仍然可以通过更新通知程序common包实现。该软件包已被删除,替换为apt config auto update,但该软件包不提供获取挂起更新当前状态的命令 在Debian stretch上用motd显示待定更新的新方法是什么?这可能不是唯一的,也不是最好的方法。但它应该起作用 确保安装了aptitude 让motd更新脚本调用“智能搜索”~U“ 这可能既不是唯一的方法,也不是最好的方法。但

Debian 远程NRPE代理无法从Nagios服务器获取参数

我已经用Nagios-plugins-release-2.2.1和nrpe-nrpe-3.2.0配置了Nagios核心服务器(4.4.5)。我使用Debian(Stretch) 我使用nrpe从远程服务器获取server load统计数据,而不使用参数。我只是在远程服务器的nrpe.cfg文件中使用下面的行 command[check_load]=/usr/lib/nagios/plugins/check_load -r -w 0.75,0.5,0.3 -c 1,0.75,0.5 这个工作很好

我无法在Debian远程桌面查看器中复制或粘贴

我无法在Debian远程桌面查看器中复制或粘贴 我尝试了所有可能的文学作品组合,ctrl+c、ctrl+v、右键单击、shift+右/左键单击、滚轮单击,几乎所有在互联网上编写的东西,但都没有用。欢迎来到程序员论坛。您的问题与编程无关,您可能应该继续提问。

  1    2   3   4   5   6  ... 下一页 最后一页 共 13 页